diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index faffbb1..bbdc1ce 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -7409,7 +7409,7 @@ index_delete_sort(TM_IndexDeleteOp *delstate)
 	 * This implementation is fast with array sizes up to ~4500.  This covers
 	 * all supported BLCKSZ values.
 	 */
-	const int	gaps[9] = {1968, 861, 336, 112, 48, 21, 7, 3, 1};
+	static const int	gaps[9] = {1968, 861, 336, 112, 48, 21, 7, 3, 1};
 
 	/* Think carefully before changing anything here -- keep swaps cheap */
 	StaticAssertStmt(sizeof(TM_IndexDelete) <= 8,
